import * as $dara from '@darabonba/typescript';
import { RecoverPhysicalConnectionResponseBody } from "./RecoverPhysicalConnectionResponseBody";
export declare class RecoverPhysicalConnectionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RecoverPhysicalConnectionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
